<?xml version="1.0" encoding="UTF-8"?>
<encodings>
  <group label="Unicode">
    <encoding label="Unicode (UTF-7)"       name="UTF-7" />
    <encoding label="Unicode (UTF-8)"       name="UTF-8" />
    <encoding label="Unicode (UTF-16BE)"    name="UTF-16BE" />
    <encoding label="Unicode (UTF-16LE)"    name="UTF-16LE" />
    <encoding label="Unicode (UTF-32BE)"    name="UTF-32BE" />
    <encoding label="Unicode (UTF-32LE)"    name="UTF-32LE" />
    <encoding label="x-imap4-modified-utf7" name="x-imap4-modified-utf7" />
  </group>

  <group label="Arabic">
    <encoding label="Arabic (IBM-864)"      name="IBM864" />
    <encoding label="Arabic (IBM-864-I)"    name="IBM864i" />
    <encoding label="Arabic (ISO-8859-6)"   name="ISO-8859-6" />
    <encoding label="Arabic (ISO-8859-6-E)" name="ISO-8859-6-E" />
    <encoding label="Arabic (ISO-8859-6-I)" name="ISO-8859-6-I" />
    <encoding label="Arabic (MacArabic)"    name="x-mac-arabic" />
    <encoding label="Arabic (Windows-1256)" name="windows-1256" />
  </group>

  <group label="Baltic">
    <encoding label="Baltic (ISO-8859-13)"  name="ISO-8859-13" />
    <encoding label="Baltic (ISO-8859-4)"   name="ISO-8859-4" />
    <encoding label="Baltic (Windows-1257)" name="windows-1257" />
  </group>

  <group label="Central European">
    <encoding label="Central European (IBM-852)"      name="IBM852" />
    <encoding label="Central European (ISO-8859-2)"   name="ISO-8859-2" />
    <encoding label="Central European (MacCE)"        name="x-mac-ce" />
    <encoding label="Central European (Windows-1250)" name="windows-1250" />
    <encoding label="Croatian (Mac Croatian)"         name="x-mac-croatian" />
  </group>

  <group label="Chinese">
    <encoding label="Chinese Simplified (GB18030)"     name="gb18030" />
    <encoding label="Chinese Simplified (GB2312)"      name="GB2312" />
    <encoding label="Chinese Simplified (GBK)"         name="x-gbk" />
    <encoding label="Chinese Simplified (HZ)"          name="HZ-GB-2312" />
    <encoding label="Chinese Simplified (ISO-2022-CN)" name="ISO-2022-CN" />
    <encoding label="Chinese Simplified (Windows-936)" name="windows-936" />
    <encoding label="Chinese Traditional (Big5)"       name="Big5" />
    <encoding label="Chinese Traditional (Big5-HKSCS)" name="Big5-HKSCS" />
    <encoding label="Chinese Traditional (EUC-TW)"     name="x-euc-tw" />
  </group>

  <group label="Cyrillic">
    <encoding label="Cyrillic (IBM-855)"                 name="IBM855" />
    <encoding label="Cyrillic (ISO-8859-5)"              name="ISO-8859-5" />
    <encoding label="Cyrillic (ISO-IR-111)"              name="ISO-IR-111" />
    <encoding label="Cyrillic (KOI8-R)"                  name="KOI8-R" />
    <encoding label="Cyrillic (MacCyrillic)"             name="x-mac-cyrillic" />
    <encoding label="Cyrillic (Windows-1251)"            name="windows-1251" />
    <encoding label="Cyrillic/Russian (CP-866)"          name="IBM866" />
    <encoding label="Cyrillic/Ukrainian (KOI8-U)"        name="KOI8-U" />
    <encoding label="Cyrillic/Ukrainian (Mac Ukrainian)" name="x-mac-ukrainian" />
  </group>

  <group label="Greek">
    <encoding label="Greek (ISO-8859-7)"   name="ISO-8859-7" />
    <encoding label="Greek (MacGreek)"     name="x-mac-greek" />
    <encoding label="Greek (Windows-1253)" name="windows-1253" />
  </group>

  <group label="Hebrew">
    <encoding label="Hebrew (IBM-862)"           name="IBM862" />
    <encoding label="Hebrew (ISO-8859-8-E)"      name="ISO-8859-8-E" />
    <encoding label="Hebrew (ISO-8859-8-I)"      name="ISO-8859-8-I" />
    <encoding label="Hebrew (MacHebrew)"         name="x-mac-hebrew" />
    <encoding label="Hebrew (Windows-1255)"      name="windows-1255" />
    <encoding label="Visual Hebrew (ISO-8859-8)" name="ISO-8859-8" />
  </group>

  <group label="Indian">
    <encoding label="Gujarati (MacGujarati)"  name="x-mac-gujarati" />
    <encoding label="Gurmukhi (Mac Gurmukhi)" name="x-mac-gurmukhi" />
    <encoding label="Hindi (Mac Devanagari)"  name="x-mac-devanagari" />
  </group>

  <group label="Japanese">
    <encoding label="Japanese (EUC-JP)"      name="EUC-JP" />
    <encoding label="Japanese (ISO-2022-JP)" name="ISO-2022-JP" />
    <encoding label="Japanese (Shift_JIS)"   name="Shift_JIS" />
  </group>

  <group label="Korean">
    <encoding label="Korean (EUC-KR)"      name="EUC-KR" />
    <encoding label="Korean (ISO-2022-KR)" name="ISO-2022-KR" />
    <encoding label="Korean (JOHAB)"       name="x-johab" />
    <encoding label="Korean (UHC)"         name="x-windows-949" />
  </group>

  <group label="Turkish">
    <encoding label="Turkish (IBM-857)"      name="IBM857" />
    <encoding label="Turkish (ISO-8859-9)"   name="ISO-8859-9" />
    <encoding label="Turkish (MacTurkish)"   name="x-mac-turkish" />
    <encoding label="Turkish (Windows-1254)" name="windows-1254" />
  </group>

  <group label="Vietnamese">
    <encoding label="Vietnamese (TCVN)"         name="x-viet-tcvn5712" />
    <encoding label="Vietnamese (VISCII)"       name="VISCII" />
    <encoding label="Vietnamese (VPS)"          name="x-viet-vps" />
    <encoding label="Vietnamese (Windows-1258)" name="windows-1258" />
  </group>

  <group label="Western">
    <encoding label="English (US-ASCII)"     name="us-ascii" />
    <encoding label="Western (IBM-850)"      name="IBM850" />
    <encoding label="Western (ISO-8859-1)"   name="ISO-8859-1" />
    <encoding label="Western (ISO-8859-15)"  name="ISO-8859-15" />
    <encoding label="Western (MacRoman)"     name="x-mac-roman" />
    <encoding label="Western (Windows-1252)" name="windows-1252" />
  </group>

  <group label="Other">
    <encoding label="Farsi (MacFarsi)"            name="x-mac-farsi" />
    <encoding label="Georgian (GEOSTD8)"          name="geostd8" />
    <encoding label="Icelandic (MacIcelandic)"    name="x-mac-icelandic" />
    <encoding label="Nordic (ISO-8859-10)"        name="ISO-8859-10" />
    <encoding label="Romanian (MacRomanian)"      name="x-mac-romanian" />
    <encoding label="Romanian (ISO-8859-16)"      name="ISO-8859-16" />
    <encoding label="South European (ISO-8859-3)" name="ISO-8859-3" />
    <encoding label="Thai (TIS-620)"              name="TIS-620" />
    <encoding label="T.61-8bit"                   name="T.61-8bit" />
    <encoding label="x-u-escaped"                 name="x-u-escaped" />
    <encoding label="User Defined"                name="x-user-defined" />
  </group>
</encodings>